I am working on an old Menu from ACAD11, not sure if it worked then. Using in ACAD2000. The user said the tablet worked fine & did not use the menu system much. I was trying to get this to work. Select 'Plans' pull down, then 'Walls' The image menu is displayed and then select the first slide. The menu quits at that point. I assume it is because you can't ^C^C$S=X $S=WALLS1 from an image menu. Is that correct? You can not change menu types? What is the $S=X in ^C^C$S=X $S=WALLS1 I did find a screen menu **X Code: ***POP7 [Plans] [Walls]^C^C$i=OPTICADD.walli1 $i=* [Wall Trims]^C^C$i=trimi $i=* [Interior Doors]^C^C$i=doori1 $i=* ***IMAGE **WALLI1 [Select Wall Type] [opticadd(wal-side,Wall Edge)]^C^C$S=X $S=WALLS1 [opticadd(wal-cent,Wall Centered)]^C^C$S=X $S=WALLS2 [opticadd(wal-fnd,Foundation)]^C^C$S=X $S=FNDWALL [opticadd(grade-bm,Grade Beam)]^C^C$S=X $S=FNDWALL [ Exit]^C^C ***TABLET1 **WALLS1 [2x2]^C^C^P(if (null wallload) (load (strcat alac "WALLLOAD")));+ (wallload "wall-01" (strcat alac "OPTI"));+ (if (null c:WALL4) (load (strcat alac "WALL4")));^PWALL4 [2x4]^C^C^P(if (null wallload) (load (strcat alac "WALLLOAD")));+ (wallload "wall-02" (strcat alac "OPTI"));+ (if (null c:WALL4) (load (strcat alac "WALL4")));^PWALL4 I have tried to place **WALLS1 in the ***SCREEN section with no luck. =========================================================================== Another question, i am using this code to reload the menu after modifying it Code: (defun c:Optimenu () (command ".menuunload" "OptiCadd") (command ".menuload" "c:/Opti/OptiCadd.mns") ;(menucmd "P2=+MyMenu.POP1"); insert in the 2nd position (princ) ) But how would you get POP7 [Plans] inserted as a pulldown?